import java.awt.*;

public class SmileyFace extends Component {
  boolean smile=true;
  Image img;

  public SmileyFace() {
    setSize(400,400);
  }

  private void paintSmile() {
    Graphics g=img.getGraphics();
    g.setColor(Color.black);
    g.fillRect(0,0,400,400);
    g.setColor(Color.yellow);
    g.fillOval(0,0,400,400);
    g.setColor(Color.black);
    g.fillOval(100,100,50,50);
    g.fillOval(250,100,50,50);
    if (smile) g.drawArc(150,250,100,100,180,180);
    else g.drawArc(150,250,100,100,0,180);
    repaint();
  }

  public void toggle() {
    smile=!smile;
    paintSmile();
  }

  public void paint(Graphics g) {
    if (img != null) {
      g.drawImage(img,0,0,null);
    } else {
      img=createImage(400,400);
      paintSmile();
    }
  }

  public void update(Graphics g) {
    g.drawImage(img,0,0,null);
  }

}
